Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcckit.util
Class AppletBasedConfigData

    java.lang.Object
      jcckit.util.FlatConfigData
          jcckit.util.AppletBasedConfigData

All Implemented Interfaces:
  ConfigData

public class AppletBasedConfigData
extends FlatConfigData

Implementation of `FlatConfigData` based on `java.applet.Applet`.

Author:
  Franz-Josef Elmer

Constructor Summary
`AppletBasedConfigData(java.applet.Applet applet)` Creates an instance based on the specified applet.

Method Summary
`protected ConfigData` | `createConfigData(java.lang.String path)` Returns the `FlatConfigData` object for the specified full path.
`protected java.lang.String` | `getValue(java.lang.String fullKey)` Returns the value for the specified full key from the flat representation of the hierarchically organized key-value pairs.

Methods inherited from class jcckit.util.FlatConfigData
`get, getFullKey, getNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppletBasedConfigData

    public AppletBasedConfigData(java.applet.Applet applet)

  Creates an instance based on the specified applet. The path is undefined.

Method Detail

### getValue

    protected java.lang.String getValue(java.lang.String fullKey)

  Description copied from class: `FlatConfigData`
  Returns the value for the specified full key from the flat representation of the hierarchically organized key-value pairs.

  Specified by:
    `getValue` in class `FlatConfigData`
  Parameters:
    `fullKey` - The full key including path. `null` is not allowed.
  Returns:
    the value or `null` if not found.

### createConfigData

    protected ConfigData createConfigData(java.lang.String path)

  Description copied from class: `FlatConfigData`
  Returns the `FlatConfigData` object for the specified full path. In general `path` will be used in the constructor with path argument.

  Specified by:
    `createConfigData` in class `FlatConfigData`
  Parameters:
    `path` - The full path.
  Returns:
    a new instance in any case.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD